Uploaded image for project: 'Derby'
  1. Derby
  2. DERBY-3658

LOBStateTracker should not use SYSIBM.CLOBRELEASELOCATOR when the database is soft-upgraded from 10.2

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 10.3.3.0, 10.4.1.3
    • Fix Version/s: 10.4.2.0, 10.5.1.1
    • Component/s: JDBC, Network Client
    • Labels:
      None
    • Bug behavior facts:
      Regression

      Description

      Reported by Daniel Noll on derby-user: http://thread.gmane.org/gmane.comp.apache.db.derby.user/9107

      To reproduce:

      1. Create a database with Derby 10.2.2.0
      2. Create a table with a clob column and insert some data
      3. Access that database with client+server at version 10.4.1.3 and iterate through the rows in the table

      You'll see an error message like this:

      ERROR 42Y03: 'SYSIBM.CLOBRELEASELOCATOR' is not recognized as a function or procedure.

        Attachments

          Activity

            People

            • Assignee:
              knutanders Knut Anders Hatlen
              Reporter:
              knutanders Knut Anders Hatlen

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment